GETDISKRAWNAME(3) | Library Functions Manual | GETDISKRAWNAME(3)

# NAME

getdiskrawname — get the the block/character device name for a disk

# LIBRARY

System Utilities Library (libutil, -lutil)

# SYNOPSIS

#include <util.h>

const char *
getdiskrawname(char *buf, size_t buflen, const char *name);

const char *
getdiskcookedname(char *buf, size_t buflen, const char *name);

# DESCRIPTION

The getdiskrawname() function converts the name argument thar contains a path to a disk block device node to the path that contains the corresponding character device node. The getdiskcookedname() function converts the name argument thar contains a path to a disk character device node to the path that contains the corresponding block device node.

# RETURN VALUES

On success the absolute pathname of the underlying device node is returned. On failure NULL is returned and errno contains the reason for the error.

# HISTORY

The getdiskrawname() and getdiskcookedname() functions appeared in NetBSD 7.0.

March 7, 2012 | NetBSD 7.2